#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  totem-pl-parser-3.26.7

- Next

  yelp-xsl-49.0

- Up
- Home

# VTE-0.84.0

## Introduction to VTE

The VTE package contains a virtual terminal widget for GTK applications.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gitlab.gnome.org/GNOME/vte/-/archive/0.84.0/vte-0.84.0.tar.gz

- Download MD5 sum: 08b2325001d5ad09f8dd63201abfee7c

- Download size: 856 KB

- Estimated disk space required: 31 MB (with tests)

- Estimated build time: 0.7 SBU (using parallelism=4; with tests)

### VTE Dependencies

#### Required

libxml2-2.15.3

#### Recommended

Fast_float-8.2.5, fmt-12.1.0, ICU-78.3, GnuTLS-3.8.13, GLib-2.88.0 (with GObject Introspection), GTK-3.24.52, GTK-4.22.4 (at least one GTK version is required), simdutf-9.0.0, and Vala-0.56.19

#### Optional

Gi-DocGen-2026.1, both git-2.53.0 and make-ca-1.16.1 (for downloading copies of fast_float, fmt, and simdutf if these recommended dependencies are not installed)

## Installation of VTE

Install VTE by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

If you have Gi-DocGen-2026.1 installed and wish to build the API documentation for this package, issue:

    sed -e "/docdir =/s@\$@/ 'vte-0.84.0'@" \
        -i ../doc/reference/meson.build     &&
    meson configure -D docs=true            &&
    ninja

To test the results, issue ninja test.

Now, as the `root` user:

    ninja install &&
    rm -v /etc/profile.d/vte.*

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

rm -v /etc/profile.d/vte.*: This command removes two files installed in /etc/profile.d that have no use on a LFS system.

`-D gnutls=false`: Add this switch if you do not want to enable GnuTLS support.

`-D vapi=false`: Add this switch if you do not want to enable vala bindings.

`-D gtk3=false`: Add this switch if you do not want to build the GTK-3 version of VTE.

`-D gtk4=false`: Add this switch if you do not want to build the GTK-4 version of VTE.

## Contents

Installed Program: vte-2.91 and vte-2.91-gtk4
Installed Library: libvte-2.91.so and libvte-2.91-gtk4.so
Installed Directories: /usr/include/vte-2.91, /usr/include/vte-2.91-gtk4, and (optional) /usr/share/doc/vte-0.84.0

### Short Descriptions

vte-2.91 | is a test application for the VTE libraries
vte-2.91-gtk4 | is a test application for the GTK-4 version of the VTE libraries
`libvte-2.91.so` | is a library which implements a terminal emulator widget for GTK+ 3
`libvte-2.91-gtk4.so` | is a library which implements a terminal emulator widget for GTK-4

- Prev

  totem-pl-parser-3.26.7

- Next

  yelp-xsl-49.0

- Up
- Home